import java.io.*;
import java.util.Hashtable;


public class KMIExchange {
	private Hashtable us_dollar_rates;

	public float convert (String sourceCurrency, String targetCurrency, float amount) {
		try {
			return amount * exchangeRate(sourceCurrency, targetCurrency);
		}catch (Exception e) {
			return -1f;
		}
	}

	public float exchangeRate(String sourceCurrency, String targetCurrency) {
		String sc = (sourceCurrency.toLowerCase()).trim();
		String tc = (targetCurrency.toLowerCase()).trim();

		us_dollar_rates = new Hashtable();
		us_dollar_rates.put("euro",new Float(1.02255));
		us_dollar_rates.put("pound",new Float(0.65397));
		us_dollar_rates.put("yen",new Float(118.908));
		us_dollar_rates.put("franc",new Float(1.50069));
		us_dollar_rates.put("kroner",new Float(7.59077));

		float val =0f;
		try {
			if (sc.equals("us-dollar")) {
				val = ((Float) us_dollar_rates.get(tc)).floatValue();
				return val;
			}
			if (tc.equals("us-dollar"))
			{
				float invrate;
				invrate = ((Float) us_dollar_rates.get(sc)).floatValue();
				val= (float) 1/invrate;
				return val;
			}
			else {
				float rate1 = ((Float) us_dollar_rates.get(sc)).floatValue();
				float rate2 = ((Float) us_dollar_rates.get(tc)).floatValue();
				if (rate1 !=0 && rate2 != 0)
					val = rate2/rate1;
			}
		}
		catch (Exception e) {
			return -1f;
			//System.out.println ("WARNING: A currency is not defined");
		}

		return val;
    }

}


